summaryrefslogtreecommitdiffstats
path: root/system/webmin
diff options
context:
space:
mode:
Diffstat (limited to 'system/webmin')
-rw-r--r--system/webmin/README16
-rw-r--r--system/webmin/doinst.sh3
-rw-r--r--system/webmin/reload.new4
-rw-r--r--system/webmin/restart-by-force-kill.new3
-rw-r--r--system/webmin/restart.new3
-rw-r--r--system/webmin/start.new10
-rw-r--r--system/webmin/stop.new21
-rw-r--r--system/webmin/webmin.SlackBuild18
-rw-r--r--system/webmin/webmin.info8
9 files changed, 69 insertions, 17 deletions
diff --git a/system/webmin/README b/system/webmin/README
index 4d9cc33687..da3bf9c895 100644
--- a/system/webmin/README
+++ b/system/webmin/README
@@ -4,19 +4,21 @@ DNS, file sharing, and much more. Webmin removes the need to manually
edit Unix configuration files like /etc/passwd and lets you manage
a system from the console or remotely.
-Webmin consists of a simple web server and a number of CGI programs
-which directly update system files like /etc/inetd.conf and /etc/passwd.
-The web server and all CGI programs are written in Perl version 5, and use
-only the standard perl modules.
+Webmin consists of a simple web server and a number of CGI
+programs which directly update system files like /etc/inetd.conf and
+/etc/passwd. The web server and all CGI programs are written in Perl
+version 5, and use only the standard perl modules.
Some modules will require manual configuration from within webmin.
Login with root and root's password.
-If you need to start webmin at boot.
-The recommended way is to add the following to your /etc/rc.d/rc.local
-script and make sure rc.webmin has executable permissions set:
+If you need to start webmin at boot, the recommended way is to add the
+following to your /etc/rc.d/rc.local script and make sure rc.webmin
+has executable permissions set:
+
if [ -x /etc/rc.d/rc.webmin ]; then
/etc/rc.d/rc.webmin start
fi
+
After the webmin service is started, point your web browser to
http://localhost:10000 and login as root to use webmin.
diff --git a/system/webmin/doinst.sh b/system/webmin/doinst.sh
index 74d778aaeb..9eb3f70183 100644
--- a/system/webmin/doinst.sh
+++ b/system/webmin/doinst.sh
@@ -22,6 +22,5 @@ preserve_perms() {
config $NEW
}
-# Signal the startup script to do some post install configuration
+# Signal the startup script to do some post install configuration
touch etc/webmin/FIRSTRUN
-
diff --git a/system/webmin/reload.new b/system/webmin/reload.new
new file mode 100644
index 0000000000..a345c0c1ee
--- /dev/null
+++ b/system/webmin/reload.new
@@ -0,0 +1,4 @@
+#!/bin/sh
+echo Reloading Webmin server in /usr/libexec/webmin
+pidfile=`grep "^pidfile=" /etc/webmin/miniserv.conf | sed -e 's/pidfile=//g'`
+kill -USR1 `cat $pidfile`
diff --git a/system/webmin/restart-by-force-kill.new b/system/webmin/restart-by-force-kill.new
new file mode 100644
index 0000000000..5aab610e96
--- /dev/null
+++ b/system/webmin/restart-by-force-kill.new
@@ -0,0 +1,3 @@
+#!/bin/sh
+/etc/webmin/stop --kill
+/etc/webmin/start
diff --git a/system/webmin/restart.new b/system/webmin/restart.new
new file mode 100644
index 0000000000..f1511b017b
--- /dev/null
+++ b/system/webmin/restart.new
@@ -0,0 +1,3 @@
+#!/bin/sh
+/etc/webmin/stop
+/etc/webmin/start
diff --git a/system/webmin/start.new b/system/webmin/start.new
new file mode 100644
index 0000000000..72f55ae6a7
--- /dev/null
+++ b/system/webmin/start.new
@@ -0,0 +1,10 @@
+#!/bin/sh
+echo Starting Webmin server in /usr/libexec/webmin
+trap '' 1
+LANG=
+export LANG
+unset PERLIO
+export PERLIO
+PERLLIB=/usr/libexec/webmin
+export PERLLIB
+exec '/usr/libexec/webmin/miniserv.pl' $* /etc/webmin/miniserv.conf
diff --git a/system/webmin/stop.new b/system/webmin/stop.new
new file mode 100644
index 0000000000..a540974bdd
--- /dev/null
+++ b/system/webmin/stop.new
@@ -0,0 +1,21 @@
+#!/bin/sh
+if [ "$1" = "--kill" ]; then
+ echo Force stopping Webmin server in /usr/libexec/webmin
+else
+ echo Stopping Webmin server in /usr/libexec/webmin
+fi
+pidfile=`grep "^pidfile=" /etc/webmin/miniserv.conf | sed -e 's/pidfile=//g'`
+pid=`cat $pidfile 2>/dev/null`
+if [ "$pid" != "" ]; then
+ kill $pid || exit 1
+ touch /var/log/webmin/stop-flag
+ if [ "$1" = "--kill" ]; then
+ sleep 1
+ ((ps axf | grep "/usr/libexec/webmin\/miniserv\.pl" | awk '{print "kill -9 -- -" $1}' | bash) || kill -9 -- -$pid || kill -9 $pid) 2>/dev/null
+ fi
+ exit 0
+else
+ if [ "$1" = "--kill" ]; then
+ (ps axf | grep "/usr/libexec/webmin\/miniserv\.pl" | awk '{print "kill -9 -- -" $1}' | bash) 2>/dev/null
+ fi
+fi
diff --git a/system/webmin/webmin.SlackBuild b/system/webmin/webmin.SlackBuild
index 4f761b65aa..da8e6f77ad 100644
--- a/system/webmin/webmin.SlackBuild
+++ b/system/webmin/webmin.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for Webmin http://www.webmin.com
@@ -22,14 +22,21 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=webmin
-VERSION=${VERSION:-1.970}
+VERSION=${VERSION:-2.105}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
ARCH=noarch
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=${TMP}/package-${PRGNAM}
OUTPUT=${OUTPUT:-/tmp}
@@ -131,8 +138,11 @@ if [ -e $PKG/etc ]; then
get_config_files $PKG/etc
fi
+rm -f $PKG/etc/webmin/{reload.new,.reload-init,restart-by-force-kill.new,.restart-by-force-kill-init,restart.new,.restart-init,start.new,.start-init,stop.new,.stop-init}
+install -m 0755 $CWD/*.new $PKG/etc/webmin
+
# Fix a few ownership issues
chown -R root:root $PKG/etc $PKG/var
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/webmin/webmin.info b/system/webmin/webmin.info
index 4d6c4473fd..79ff5a17e7 100644
--- a/system/webmin/webmin.info
+++ b/system/webmin/webmin.info
@@ -1,10 +1,10 @@
PRGNAM="webmin"
-VERSION="1.970"
+VERSION="2.105"
HOMEPAGE="https://www.webmin.com/"
-DOWNLOAD="https://downloads.sf.net/project/webadmin/webmin/1.970/webmin-1.970.tar.gz"
-MD5SUM="c031146469feb972fcd3ef47e982f19f"
+DOWNLOAD="https://downloads.sf.net/project/webadmin/webmin/2.105/webmin-2.105.tar.gz"
+MD5SUM="b518ad1a5750fd92647613d707478403"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="jdk"
+REQUIRES="zulu-openjdk8"
MAINTAINER="David Somero"
EMAIL="dsomero@hotmail.com"